<template>
  <div class="dibs--form--elem">
    <label :for="name">
      <span>{{ label }}</span>
      <!-- eslint-disable vue/no-v-html -->
      <div
        v-if="hint ? hint : info"
        class="dibs--form--input--hint"
        :class="{ 'dibs--form--input--hint--info': info }"
        v-html="hint ? hint : info"
      />
    </label>
    <slot></slot>
  </div>
</template>
<script>
export default {
  props: {
    label: {
      type: [String],
      required: true,
    },
    hint: {
      type: [String],
      default: null,
    },
    info: {
      type: [String],
      default: null,
    },
    name: {
      type: [String],
      default: null,
    },
  },
}
</script>
